Page MenuHomePhabricator

Visualeditor-quick-access-characters.json shouldn't be parsed as a i18n message
Closed, ResolvedPublic1 Story Points

Description

For the Wikitext editor need an additional insertion of frequently used tags and templates. Using symbol insertion causes an error.

What we want to add can be seen in
https://ru.wikipedia.org/w/index.php?title=MediaWiki:Visualeditor-quick-access-characters.json&oldid=85782408
https://ru.wikipedia.org/w/index.php?title=MediaWiki:Visualeditor-quick-access-characters.json&action=history
https://ko.wikipedia.org/wiki/%EB%AF%B8%EB%94%94%EC%96%B4%EC%9C%84%ED%82%A4:Visualeditor-quick-access-characters.json

But the templates are opened immediately when you click on the insert symbol button. Console shows error

mediawiki.jqueryMsg: visualeditor-quick-access-characters.json: Parse error at position 0 in input: {

Event Timeline

Sunpriat created this task.Jun 5 2017, 5:40 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJun 5 2017, 5:40 PM
Restricted Application added subscribers: revi, Aklapper. · View Herald Transcript

That config file is used in visual mode as well, so until wikitext is supported you shouldn't put any in there.

Esanders renamed this task from Extended insert to Allow user-customisable wikitext insertion shortcuts (e.g. in special character menu).Jun 6 2017, 10:04 AM

Change 357360 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Don't try to i18n-parse JSON string

https://gerrit.wikimedia.org/r/357360

The above patch fixes the parsing error, but we still shouldn't add wikitext to the special char menu yet as the majority of VE users are in visual mode.

Deskana triaged this task as Normal priority.Jun 6 2017, 1:12 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Esanders renamed this task from Allow user-customisable wikitext insertion shortcuts (e.g. in special character menu) to Visualeditor-quick-access-characters.json shouldn't be parsed as a i18n message.Jun 6 2017, 2:02 PM

Relabelling this task for the specific warning reported. The task of creating a wikitext snippet tool is T154113.

Change 357360 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Don't try to i18n-parse JSON string

https://gerrit.wikimedia.org/r/357360

Deskana closed this task as Resolved.Jun 7 2017, 10:12 AM
Deskana assigned this task to Esanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 7 2017, 10:12 AM
Jdforrester-WMF set the point value for this task to 1.Jun 12 2017, 7:36 PM